#
# Name: 
# Description: 
#

import Balloon
import sys
import StdDraw

# Read in data from configuration file
fname = sys.argv[1]
with open(fname, 'r') as f:
    increaseRadiusBy  = float(f.readline())
    liftPerUnitVolume = float(f.readline())
    requiredLift      = float(f.readline())
    f.readline()
    numBalloons       = int(f.readline())
    f.readline()
    balloons = []

    for i in range(0, numBalloons):
        line = f.readline().split()
        balloons.append(Balloon.Balloon(float(line[0]),       # x
                                        float(line[1]),       # y
                                        float(line[2]),       # max radius
                                        line[3],              # character
                                        int(line[4]),         # red
                                        int(line[5]),         # green
                                        int(line[6])))        # blue                    
    f.close()
StdDraw.setFontSize(16)

# Game loop

        #
        #   YOUR CODE HERE
        #


# Display the winning message once the game is over
StdDraw.setFontSize(72)
StdDraw.setPenColor(StdDraw.BLACK)
StdDraw.filledRectangle(0.29, 0.42, 0.43, 0.16)
StdDraw.setPenColor(StdDraw.BLUE)
StdDraw.text(0.5, 0.5, "You win!")
StdDraw.show(2000)
